[Regression] If heading has a trailing space after == then its name is not preloaded into edit summary on section edit
Closed, ResolvedPublic

Description

For a == header == heading. If there's a trailing space after the closing ==, then the header is not properly included in default edit summary for section edits

Steps to reproduce:

Create a page with the following

h ==<sp>

foo

(Replacing the <sp> with a space. So there should be 1 trailing space after the closing ==. The foo on the next line is to prevent parser from stripping that space).

Edit section 1.

Expected behaviour:

Edit summary defaults to /* H */

Actual behaviour:

Edit summary defaults to being empty.

I checked, and this issue was not present on 1.18.

Originally reported by PiZero on irc for the url https://en.wikinews.org/w/index.php?title=Wikinews_interviews_Americans_Elect_presidential_candidate_Mike_Ballantine&action=edit&section=1


Version: 1.19
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz35051.
Bawolff created this task.Via LegacyMar 8 2012, 3:45 AM
MaxSem added a comment.Via ConduitMar 8 2012, 6:36 PM

Broken by r105380, fixmed.

Bawolff added a comment.Via ConduitMar 14 2012, 6:07 PM

(In reply to comment #2)

http://winkyfrown.com/wiki/index.php?title=Bug_35051&action=edit&section=1 --
looks fixed

Doesn't seem like there was a space after the header in that example. I added one and the problem appears there.

MaxSem added a comment.Via ConduitMar 15 2012, 3:23 PM

Fixed in r113922.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.